Unofficial CSE API Docs

Live-probed documentation for https://www.cse.lk/api. Not affiliated with the Colombo Stock Exchange.

POST /announcements

disclosures probe ok

Legacy per-symbol PDF archive shape (infoAnnouncement).

Used by UI: —

Last probe status: 200 · expect [200]

curl

curl -sS -X POST 'https://www.cse.lk/api/announcements' \
  -H 'Content-Type: application/x-www-form-urlencoded' \
  -H 'Origin: https://www.cse.lk' -H 'Referer: https://www.cse.lk/' \
  -d 'symbol={{symbol}}'

Known failures

Fields

Sample

{
  "_probe": {
    "id": "announcements_legacy",
    "url": "https://www.cse.lk/api/announcements",
    "method": "POST",
    "status": 200,
    "verified_at": "2026-07-16T16:34:38.483805+00:00",
    "fingerprint": {
      "type": "object",
      "keys": [
        "infoAnnouncement"
      ]
    }
  },
  "response": {
    "infoAnnouncement": [
      {
        "announcementId": 25040,
        "securityId": 508,
        "title": "EMPLOYEE SHARE OPTION SCHEMES",
        "body": null,
        "manualDate": 1552588200000,
        "addedDate": 1552588200000,
        "edited": 1,
        "deleted": 0,
        "filePath": "uploadAnnounceFiles/5051552647765_508.pdf"
      },
      {
        "announcementId": 24588,
        "securityId": 508,
        "title": "DIVIDEND ANNOUNCEMENT",
        "body": "Date of Announcement: - 31.Jan.2019 \r<br>Rate of Dividend: - Rs. 2.00 per share / Second Interim\r<br>Financial Year: - 2018/2019 \r<br>Shareholder Approval: - Not Required \r<br>XD: - 12.Feb.2019 \r<br>Payment: - 22.Feb.2019",
        "manualDate": 1548873000000,
        "addedDate": 1548873000000,
        "edited": 1,
        "deleted": 0,
        "filePath": null
      },
      {
        "announcementId": 24562,
        "securityId": 508,
        "title": "REPURCHASE OF SHARES (NOTIFICATION ON REPURCHASE OF SHARES)",
        "body": null,
        "manualDate": 1548354600000,
        "addedDate": 1548354600000,
        "edited": 1,
        "deleted": 0,
        "filePath": "uploadAnnounceFiles/6781548416472_508.pdf"
      }
    ],
    "_truncated": {
      "list_key": "infoAnnouncement",
      "kept": 3,
      "original_len": 162
    }
  }
}